/*==============================================================================
 * Author:深度训练
 * Create time: 2013-07-08
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 * ==============================================================================*/

namespace Domain.DomainModel.ApproveModule.Aggregates.ParentMesAgg
{
    using Domain.DomainModel.ExaminationModule.Aggregates.EmployeeAgg;
    using System;

    public partial class ParentMessage
    {
        public string PMID { get; set; }
        public string PID { get; set; }
        public string EID { get; set; }
        public string Content { get; set; }
        public Nullable<Message_Priority> Priority { get; set; }
        public Nullable<System.DateTime> Datetime { get; set; }

        public virtual Employee Employee { get; set; }
        public virtual Parent Parent { get; set; }
    }
}
