﻿/*==============================================================================
 * Author:深度训练
 * Create time: 2013-07-08
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 * ==============================================================================*/

namespace Domain.DomainModel.ExaminationModule.Aggregates.EmployeeAgg.EmployeeLogic.PMOperationFactory
{
    public class ParentMessageOperationFactory : IParentMessageOperationFactory
    {
        public IParentMessageOperation CreateParentMessageOperation(Message_Priority priority)
        {
            if (priority == Message_Priority.Normal)
                return new ParentMessageOperationNormal();
            else
                return new ParentMessageOperationPressing();
        }
    }
}
