﻿/*==============================================================================
 * Author:深度训练
 * Create time: 2013-07-08
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 * ==============================================================================*/

namespace Domain.DomainModel.ExaminationModule.Aggregates.EmployeeAgg.EmployeeLogic
{
    using Domain.DomainModel.ExaminationModule.Aggregates.EmployeeAgg;
    using System.Collections.Generic;
    using ApproveModule.Aggregates.ParentMesAgg;

    public class ParentMessageOperationNormal : ParentMessageOperationBasic
    {
        public override void OpeartionMessage(ParentMessage pMessage, Employee employee)
        {
            formatMessage.Format(pMessage);

            base.OpeartionMessage(pMessage, employee);
        }

        private FormatMessageContentByEmployee<ParentMessage> formatMessage;

        public class FormatMessageContentByEmployee<TContent> : List<TContent>
        {
            public string Format(TContent content)
            {
                return "format";
            }
        }
    }
}
